Page MenuHomePhabricator

[DO NOT USE] [tracking] OSM on Labs [superseded by #Maps]
Closed, ResolvedPublic

Description

From https://www.mediawiki.org/wiki/Wikimedia_Labs/Tool_Labs/Needed_Toolserver_features (probably needs to be split up a bit)

OSM

  • A Postgresql-server for OSM.
  • access to OSM database -> db server with 600 GB of solid state disk space
  • a few terabytes of diskspace to save the rendered map tiles (more or less the same space needed now on the toolserver -> how much is this?)
  • user databases
  • Render-server with enough space to host several layouts.
  • We have special projects on toolserver like [http://wiki.openstreetmap.org/wiki/WIWOSM WIWOSM] that combine Wikipedia- and OSM-data in one script. This is only possible if a script can connect to both databases. Without such an feature we will lose this service in Wikipedia. --[[User:Kolossos|Kolossos]] 18:02, 1 February 2013 (UTC)
  • Other users created tools for translating places or to maintain street-lists. --[[User:Kolossos|Kolossos]] 19:12, 14 February 2013 (UTC)

"OSM is being added to WMF production. We'll have a test/dev version of OSM in Labs, but we have no plans on having a quasi-production like version of OSM in Labs." -- Ryan Lane, 20 December 2012

"The plan is to clean up the styles and tools that are no longer maintained/needed, to move about 10 styles and 5 tools to Labs, to move one style to production." -- Silke (WMDE), 6 April 2013


Version: unspecified
Severity: normal

Details

Reference
bz58797

Event Timeline

bzimport raised the priority of this task from to Normal.Nov 22 2014, 2:16 AM
bzimport added a project: VPS-Projects.
bzimport set Reference to bz58797.
bzimport added a subscriber: Unknown Object (MLST).

Discussion points:

  • will the database server be fast enough / What does it need to be fast enough?
  • Will rendering work in a VM? (Is this the plan to do it in a VM?)
  • definitions use of terms, avoid misunderstandings about what is "production" and what the Labs part is supposed to do. Please be as explicit as possible.

(In reply to comment #0)

OSM is being added to WMF production. [...]

What's the status of this?

scfc added a comment.Dec 24 2013, 2:58 PM

(In reply to comment #2)

(In reply to comment #0)

OSM is being added to WMF production. [...]

What's the status of this?

See bug #33980, [[wikitech:OSM Tileserver#Extended State of Things - 2013-11-27]] and [[wikitech:OSM Tileserver#Comments]]. My latest information is some mail discussion about a week ago by Tomasz Finc: "ErikM has asked me to rethink our approach to OSM and focus on the TS users that are using OSM as the main use case." I'm not aware of any fleshed out proposal or ETA, and I don't expect much work to be done in the next few days :-).

Ricordisamoa added a subscriber: Ricordisamoa.

This task has no blocking tasks left - what is left to do here?
Also note the #OpenStreetMap project created in T92562 - is this related? Or not?

Yurik added a subscriber: Yurik.May 18 2015, 8:26 PM

No point in this task. Closing. If there are issues, simply add them with the Maps hashtag

Yurik closed this task as Resolved.May 18 2015, 8:26 PM
Yurik claimed this task.
Restricted Application added a project: Discovery. · View Herald TranscriptMay 5 2016, 8:07 PM
Liuxinyu970226 renamed this task from [tracking] OSM on Labs to [DO NOT USE] [tracking] OSM on Labs [superseded by #Maps].Jul 17 2017, 11:05 PM
Dzahn removed a subscriber: Dzahn.Jul 17 2017, 11:49 PM